Bug 473379 - yumBackend.py hangs forever if a repo is down
yumBackend.py hangs forever if a repo is down
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 01:55 EST by Rudd-O DragonFear
Modified: 2009-02-25 09:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 08:37:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
what I've put into git master (1.00 KB, patch)
2008-11-28 05:37 EST, Richard Hughes
no flags Details | Diff

  None (edit)
Description Rudd-O DragonFear 2008-11-28 01:55:45 EST
Description of problem:

Open packagekit application, try to search for packages, yumbackend.py search-name none "searchstring" hangs FOREVER if a repo is down or network connectivity is flaky.

The fix is simple: set a reasonable timeout of like 10 or 15 seconds for sockets in the yumbackend.py helper.  Problem solved.

Network daemons have no business leaving desktop applications forever waiting for data.
Comment 1 Richard Hughes 2008-11-28 05:37:43 EST
Created attachment 324963 [details]
what I've put into git master

I've put this patch into git master. Is this the sort of thing you meant?
Comment 2 Aleksander Adamowski 2009-02-25 09:04:42 EST
See also bug 487321 (the patch from over here doesn't help with it).

Note You need to log in before you can comment on or make changes to this bug.